Update a transaction intent
curl --request POST \
--url https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "D8CD2346-9A02-4ABB-A388-AB3DACC57DCF",
"amount": 100,
"status": "CONFIRMED",
"currency": "USD",
"network_transaction_id": "<string>",
"partner_transaction_id": "<string>",
"metadata": {
"platform_version": "2.1.0"
}
}
'import requests
url = "https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}"
payload = {
"customer_id": "D8CD2346-9A02-4ABB-A388-AB3DACC57DCF",
"amount": 100,
"status": "CONFIRMED",
"currency": "USD",
"network_transaction_id": "<string>",
"partner_transaction_id": "<string>",
"metadata": { "platform_version": "2.1.0" }
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: 'D8CD2346-9A02-4ABB-A388-AB3DACC57DCF',
amount: 100,
status: 'CONFIRMED',
currency: 'USD',
network_transaction_id: '<string>',
partner_transaction_id: '<string>',
metadata: {platform_version: '2.1.0'}
})
};
fetch('https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_id' => 'D8CD2346-9A02-4ABB-A388-AB3DACC57DCF',
'amount' => 100,
'status' => 'CONFIRMED',
'currency' => 'USD',
'network_transaction_id' => '<string>',
'partner_transaction_id' => '<string>',
'metadata' => [
'platform_version' => '2.1.0'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}"
payload := strings.NewReader("{\n \"customer_id\": \"D8CD2346-9A02-4ABB-A388-AB3DACC57DCF\",\n \"amount\": 100,\n \"status\": \"CONFIRMED\",\n \"currency\": \"USD\",\n \"network_transaction_id\": \"<string>\",\n \"partner_transaction_id\": \"<string>\",\n \"metadata\": {\n \"platform_version\": \"2.1.0\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"customer_id\": \"D8CD2346-9A02-4ABB-A388-AB3DACC57DCF\",\n \"amount\": 100,\n \"status\": \"CONFIRMED\",\n \"currency\": \"USD\",\n \"network_transaction_id\": \"<string>\",\n \"partner_transaction_id\": \"<string>\",\n \"metadata\": {\n \"platform_version\": \"2.1.0\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_id\": \"D8CD2346-9A02-4ABB-A388-AB3DACC57DCF\",\n \"amount\": 100,\n \"status\": \"CONFIRMED\",\n \"currency\": \"USD\",\n \"network_transaction_id\": \"<string>\",\n \"partner_transaction_id\": \"<string>\",\n \"metadata\": {\n \"platform_version\": \"2.1.0\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "5B30532B-5B5B-4826-8DE2-429C57B705FD",
"customer_id": "9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4",
"amount": 10000,
"currency": "USD",
"status": "CONFIRMED",
"created_at": "2025-02-13T19:08:07.000Z",
"payment_method_id": "DCBFC736-2286-42DD-897D-160DCA80AED2",
"network_transaction_id": "<string>",
"partner_transaction_id": "<string>",
"updated_at": "2025-02-13T19:08:07.000Z",
"metadata": {
"platform_version": "2.1.0"
}
}{
"path": "/v2/customers",
"details": [
"email: must be a well-formed email address"
],
"error": "Bad Request",
"status": 400,
"timestamp": "2025-01-20T18:18:22.923+00:00"
}{
"error": {
"type": "BAD_REQUEST_ERROR",
"message": "unsupported reward_type: INVALID, must be STATEMENT or DELAYED"
}
}Transaction Intents
Update a transaction intent
Updates the details of the transaction intent associated with the supplied intent_id.
Required scope: TRANSACTION_INTENT_WRITE
POST
/
v2
/
transaction_intents
/
{intent_id}
Update a transaction intent
curl --request POST \
--url https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_id": "D8CD2346-9A02-4ABB-A388-AB3DACC57DCF",
"amount": 100,
"status": "CONFIRMED",
"currency": "USD",
"network_transaction_id": "<string>",
"partner_transaction_id": "<string>",
"metadata": {
"platform_version": "2.1.0"
}
}
'import requests
url = "https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}"
payload = {
"customer_id": "D8CD2346-9A02-4ABB-A388-AB3DACC57DCF",
"amount": 100,
"status": "CONFIRMED",
"currency": "USD",
"network_transaction_id": "<string>",
"partner_transaction_id": "<string>",
"metadata": { "platform_version": "2.1.0" }
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_id: 'D8CD2346-9A02-4ABB-A388-AB3DACC57DCF',
amount: 100,
status: 'CONFIRMED',
currency: 'USD',
network_transaction_id: '<string>',
partner_transaction_id: '<string>',
metadata: {platform_version: '2.1.0'}
})
};
fetch('https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customer_id' => 'D8CD2346-9A02-4ABB-A388-AB3DACC57DCF',
'amount' => 100,
'status' => 'CONFIRMED',
'currency' => 'USD',
'network_transaction_id' => '<string>',
'partner_transaction_id' => '<string>',
'metadata' => [
'platform_version' => '2.1.0'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}"
payload := strings.NewReader("{\n \"customer_id\": \"D8CD2346-9A02-4ABB-A388-AB3DACC57DCF\",\n \"amount\": 100,\n \"status\": \"CONFIRMED\",\n \"currency\": \"USD\",\n \"network_transaction_id\": \"<string>\",\n \"partner_transaction_id\": \"<string>\",\n \"metadata\": {\n \"platform_version\": \"2.1.0\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"customer_id\": \"D8CD2346-9A02-4ABB-A388-AB3DACC57DCF\",\n \"amount\": 100,\n \"status\": \"CONFIRMED\",\n \"currency\": \"USD\",\n \"network_transaction_id\": \"<string>\",\n \"partner_transaction_id\": \"<string>\",\n \"metadata\": {\n \"platform_version\": \"2.1.0\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://dev.sbx.imprint.co/v2/transaction_intents/{intent_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Basic <encoded-value>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customer_id\": \"D8CD2346-9A02-4ABB-A388-AB3DACC57DCF\",\n \"amount\": 100,\n \"status\": \"CONFIRMED\",\n \"currency\": \"USD\",\n \"network_transaction_id\": \"<string>\",\n \"partner_transaction_id\": \"<string>\",\n \"metadata\": {\n \"platform_version\": \"2.1.0\"\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "5B30532B-5B5B-4826-8DE2-429C57B705FD",
"customer_id": "9B5E1EE0-2E1C-46E7-81B9-3C3917204BE4",
"amount": 10000,
"currency": "USD",
"status": "CONFIRMED",
"created_at": "2025-02-13T19:08:07.000Z",
"payment_method_id": "DCBFC736-2286-42DD-897D-160DCA80AED2",
"network_transaction_id": "<string>",
"partner_transaction_id": "<string>",
"updated_at": "2025-02-13T19:08:07.000Z",
"metadata": {
"platform_version": "2.1.0"
}
}{
"path": "/v2/customers",
"details": [
"email: must be a well-formed email address"
],
"error": "Bad Request",
"status": 400,
"timestamp": "2025-01-20T18:18:22.923+00:00"
}{
"error": {
"type": "BAD_REQUEST_ERROR",
"message": "unsupported reward_type: INVALID, must be STATEMENT or DELAYED"
}
}Authorizations
basicAuthbearerAuth
Path Parameters
Body
application/json
Response
Transaction intent updated successfully